%define oname   test-spec

Name:       ruby-%{oname}
Version:    0.10.0
Release:    %mkrel 17
Summary:    A Behaviour Driven Development interface for Test::Unit
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://test-spec.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:	noarch

%description
test/spec layers an RSpec-inspired interface on top of Test::Unit, so you can
mix TDD and BDD (Behavior-Driven Development).  test/spec is a clean-room
implementation that maps most kinds of Test::Unit assertions to a
`should'-like syntax.

%files
%{_bindir}/specrb
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README SPECS ROADMAP
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.0-17.mga10
+ Revision: 2211057
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.10.0-16.mga9
+ Revision: 1826109
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-15.mga8
+ Revision: 1499973
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-14.mga7
+ Revision: 1275276
- Mageia 7 Mass Rebuild

* Wed Oct 19 2016 pterjan <pterjan> 0.10.0-13.mga6
+ Revision: 1062550
- Use gem_setup

* Wed Feb 03 2016 umeabot <umeabot> 0.10.0-12.mga6
+ Revision: 933120
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-11.mga5
+ Revision: 744894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-10.mga5
+ Revision: 688974
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.10.0-9.mga4
+ Revision: 562519
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.10.0-8.mga4
+ Revision: 535696
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.10.0-7.mga4
+ Revision: 482358
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 0.10.0-6.mga4
+ Revision: 476493
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.10.0-5.mga3
+ Revision: 396551
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.10.0-4.mga3
+ Revision: 381540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.10.0-3.mga3
+ Revision: 313984
- add licenses
- rebuild for new ruby

* Tue Jan 25 2011 shikamaru <shikamaru> 0.10.0-2.mga1
+ Revision: 39645
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 0.10.0-1.mga1
+ Revision: 36995
- imported package ruby-test-spec


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@mandriva.org> - 0.10.0-1mdv2011.0
- Initial package
